<!DOCTYPE HTML>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
	xmlns:b="http://bootsfaces.net/ui"
	xmlns:c="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">

	<h:head>
		<title>Hello World - Input Form</title>
	</h:head>
	<h:body>
		<div class="panel panel-info" style="background-color: #FFF">
            <div class="panel-heading">
               <h:form id="form_add_empresa">
                    <div class="col-sm-12 col-md-12 col-lg-12 text-right">
                    </div>
                </h:form><br></br>
            </div>
            <div class="panel-body">
                <h:form id="form_empresa">
                  
                    <b:growl id="empresa"   showDetail="true" placement-from="bottom" 
                             severity="info,warn,fatal,error" globalOnly="true " showSummary="false"/>
                    
                    <p:dataTable id="table_emp" var="emp" rowIndexVar="index"
                                 sortOrder="descending"
                                 value="#{empresaViewBean.lEmpresa}"
                                 rows="10" paginator="true"
                                 paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                                 rowsPerPageTemplate="5,10,15"
                                 emptyMessage="No se encuentran datos">
                        <p:column filterBy="#{emp.nombre}" headerText="Nombre" 
                                  filterMatchMode="contains"   class="col-md-3 col-lg-3" sortBy="#{emp.nombre}" >
                            <h:outputText value="#{emp.nombre}"></h:outputText>                                                    
                        </p:column>
                        
                        <p:column filterBy="#{emp.nit}" headerText="NIT" 
                                  filterMatchMode="contains" class="col-md-6" sortBy="#{emp.nit}">
                            <h:outputText value="#{emp.nit}"></h:outputText>
                            
                        </p:column>
                        
                        <p:column filterBy="#{emp.dui}" headerText="DUI" 
                                  filterMatchMode="contains" class="col-md-6" sortBy="#{emp.dui}">
                            <h:outputText value="#{emp.dui}"></h:outputText>
                        </p:column>

                        <p:column headerText="Acciones" class="col-md-3">                                                                                
                        </p:column>
                    </p:dataTable>                                                    
               </h:form>
            </div>
        </div>

	</h:body>
</html>
